part of 'development_by_muscle_bloc.dart';

@immutable
abstract class DevelopmentByMuscleEvent extends Equatable {
  const DevelopmentByMuscleEvent();

  @override
  List<Object> get props => [];
}

class DevelopmentByMuscleLoad extends DevelopmentByMuscleEvent {
  const DevelopmentByMuscleLoad();
}

class DevelopmentByMuscleDateRateChange extends DevelopmentByMuscleEvent {
  final String dateRate;
  const DevelopmentByMuscleDateRateChange({required this.dateRate});

  @override
  List<Object> get props => [dateRate];
}

class DevelopmentByMuscleDiagramTypeChange extends DevelopmentByMuscleEvent {
  final String diagramType;
  const DevelopmentByMuscleDiagramTypeChange({required this.diagramType});

  @override
  List<Object> get props => [diagramType];
}
